﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.IO;

namespace CreateBitmap {
    public class CHeader {
        private byte header1;
        private byte header2;
        private uint filesize;
        private uint dummy;
        private uint offset;

        public CHeader()  {
            offset = 0;
            dummy = 0;
            filesize = 0;
            header1 = 0x42;
            header2 = 0x4d;
        }

        public uint BOffs {
            get { return offset; }
            set { offset = value; }
        }
        public uint Filesize {
            get { return filesize; }
            set { filesize = value; }
        }

        public void save2File(BinaryWriter oStream)   {
            oStream.Write(header1);  // byte
            oStream.Write(header2);  // byte
            oStream.Write(filesize); // uint
            oStream.Write(dummy);// uint
            oStream.Write(offset); // begin of the pixel data
        }

    }
}
